lattice.cpp File Reference
`#include "stdinc.h"`
`#include "lattice.h"`
`#include "BigIdeal.h"`

Go to the source code of this file.

## Functions

void | addMultiple (BigIdeal &basis, unsigned int add, unsigned int addTo, const mpz_class &mult)
void | makeZeroesInLatticeBasis (BigIdeal &basis)

## Function Documentation

## addMultiple()

void addMultiple | ( | BigIdeal & | basis,
|  | unsigned int | add,
|  | unsigned int | addTo,
|  | const mpz_class & | mult )

Definition at line 22 of file lattice.cpp.

## makeZeroesInLatticeBasis()

void makeZeroesInLatticeBasis | ( | BigIdeal & | basis | ) |

Definition at line 33 of file lattice.cpp.